use std::fs::File;
use std::io::prelude::*;

use lang_evolve_core::settings::Settings;

mod opts;
use opts::Opts;
use clap::Clap;

fn main() {
    lang_evolve_core::init().unwrap();

    let opts: Opts = Opts::parse();
    let settings = Settings::from(opts.settings).unwrap();
    let mut input_file = File::open(opts.input).unwrap();
    let mut input = String::new();
    input_file.read_to_string(&mut input).unwrap();

    println!("{:?}", settings);
    println!("{}", settings.apply(input).unwrap());
}
